Package org.eclipse.launchbar.core

# Class ProjectLaunchDescriptor

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.launchbar.core.ProjectLaunchDescriptor

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `ILaunchDescriptor`

public class ProjectLaunchDescriptor extends org.eclipse.core.runtime.PlatformObject implements ILaunchDescriptor
A reusable descriptor for wrapping projects that can be used by descriptor types that map to projects.

## Constructor Summary

Constructors
Constructor
Description
`ProjectLaunchDescriptor(ILaunchDescriptorType type, org.eclipse.core.resources.IProject project)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`<T> T`
`getAdapter(Class<T> adapter)`
`String`
`getName()`
Name to show in the launch descriptor selector.
`ILaunchDescriptorType`
`getType()`
The type of launch descriptor.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ProjectLaunchDescriptor

public ProjectLaunchDescriptor(ILaunchDescriptorType type, org.eclipse.core.resources.IProject project)

## Method Details

### getAdapter

public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`

### getName

public String getName()
Description copied from interface: `ILaunchDescriptor`
Name to show in the launch descriptor selector. Names must be unique for all descriptors of a given type.

Specified by:
  `getName` in interface `ILaunchDescriptor`
Returns:
  name of the launch descriptor

### getType

public ILaunchDescriptorType getType()
Description copied from interface: `ILaunchDescriptor`
The type of launch descriptor.

Specified by:
  `getType` in interface `ILaunchDescriptor`
Returns:
  provider

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`